%global momorel 1
%global qtver 4.5.2
%global qtdir %{_libdir}/qt4

Summary:        Firewall Builder
Name:           fwbuilder
Version:        3.0.7
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/System
Url:            http://www.fwbuilder.org/
Source:         http://dl.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       libfwbuilder = %{version}
BuildRequires:  libfwbuilder-devel = %{version}-%{release}
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  openssl-devel
BuildRequires:  qt-devel

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%prep
%setup -q 

%build
%configure --with-qmake=qmake-qt4
make all %{?_smp_mflags}

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make INSTALL_ROOT="%{buildroot}/" install
rm -fr %{buildroot}/usr/share/doc/%{name}-%{version}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/Credits doc/ChangeLog doc/PatchAcceptancePolicy.txt
%doc doc/README.* doc/FWBuilder-Routing-LICENSE.txt
%dir %{_datadir}/%{name}-%{version}
%{_bindir}/fwbuilder
%{_bindir}/fwbedit
%{_bindir}/fwb_iosacl
%{_bindir}/fwb_ipf
%{_bindir}/fwb_ipfw
%{_bindir}/fwb_ipt
%{_bindir}/fwb_pf
%{_bindir}/fwb_pix
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_iosacl.1*
%{_mandir}/man1/fwb_ipf.1*
%{_mandir}/man1/fwb_ipfw.1*
%{_mandir}/man1/fwb_ipt.1*
%{_mandir}/man1/fwb_pf.1*
%{_mandir}/man1/fwb_pix.1*
%{_datadir}/%{name}-%{version}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Tue Oct  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.7-1m)
- [SECURITY] http://blog.fwbuilder.org/2009/09/firewall-builder-v307-released.html
- update to 3.0.7

* Sun Sep  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.6-1m)
- update to 3.0.6

* Sat Aug  8 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.5-2m)
- src sha256sum change.

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.5-1m)
- Initial build for Momonga Linux
